mia-2dsegshiftperslice(1)

NAME
mia-2dsegshiftperslice - Translate a segmentation by the given amount.

SYNOPSIS
mia-2dsegshiftperslice -i <in-file> -o <out-file> -S <shift> [options]

DESCRIPTION
mia-2dsegshiftperslice This program move the segmentation(s) of an image series by using a shift that is given on a per-slice base. The program can be used to correct the segmentation of the images if a linear registration was executed that only applies a translation and does not correct the segmentation automatically.

OPTIONS

    -i --in-file=(input, required); string
        input segmentation set

    -o --out-file=(output, required); string
        output segmentation set

    -g --image-file=crop
        output image filename base

    -S --shift=(required); string
        shift of segmentation - base name

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

EXAMPLE
Shirt the segmentation given in set segment.set by files shiftXXXX.txt and store the result in shifted.set. Note, the numbering of the shiftXXXX.txx files must coincide.

mia-2dsegshiftperslice -i segment.set -o shifted.set -g shifted -S shift

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.